Bug 1652905 - Scriptlet error while upgrading to 6.5 in foreman-installer-1.20
Summary: Scriptlet error while upgrading to 6.5 in foreman-installer-1.20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1653153
TreeView+ depends on / blocked
 
Reported: 2018-11-23 13:24 UTC by Nikhil Kathole
Modified: 2019-10-07 17:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:15 UTC

Description Nikhil Kathole 2018-11-23 13:24:59 UTC
Description of problem:

While updating 6.4 to 6.5, scriptlet error is shown 


Updating   : 1:foreman-installer-1.20.0-1.el7sat.noarch              539/1335 

 warning: /etc/foreman-installer/scenarios.d/foreman-answers.yaml created as /etc/foreman-installer/scenarios.d/foreman-answers.yaml.rpmnew
 ERROR: Selected scenario is DISABLED, can not continue.
        Use --list-scenarios to list available options.
        You can also --enable-scenario SCENARIO to make the selected scenario available.
 warning: %post(foreman-installer-1:1.20.0-1.el7sat.noarch) scriptlet failed, exit status 27
 Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-1.20.0-1.el7sat.noarch


Version-Release number of selected component (if applicable):

Satellite 6.5 snap 5


How reproducible: always


Steps to Reproduce:
1. Have sat 6.4
2. enable 6.5 repos
3. yum update

Actual results:
While updating package 

 ERROR: Selected scenario is DISABLED, can not continue.
        Use --list-scenarios to list available options.
        You can also --enable-scenario SCENARIO to make the selected scenario available.
 warning: %post(foreman-installer-1:1.20.0-1.el7sat.noarch) scriptlet failed, exit status 27
 Non-fatal POSTIN scriptlet failure in rpm package 1:foreman-installer-1.20.0-1.el7sat.noarch


Expected results: No scriptlet failure/error.


Additional info:

Comment 3 Jan Hutař 2018-11-27 06:07:08 UTC
Also shows itself when upgrading from 6.5 snap 4 to snap 5.

Comment 4 Nikhil Kathole 2018-12-02 11:48:52 UTC
VERIFIED

version tested:
Satellite 6.5 snap 6

No scriptlet error found.

 1:foreman-installer-1.20. [                          ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#                         ]  550/1353
   Updating   : 1:foreman-installer-1.20. [##                        ]  550/1353
   Updating   : 1:foreman-installer-1.20. [###                       ]  550/1353
   Updating   : 1:foreman-installer-1.20. [####                      ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#####                     ]  550/1353
   Updating   : 1:foreman-installer-1.20. [######                    ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#######                   ]  550/1353
   Updating   : 1:foreman-installer-1.20. [########                  ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#########                 ]  550/1353
   Updating   : 1:foreman-installer-1.20. [##########                ]  550/1353
   Updating   : 1:foreman-installer-1.20. [###########               ]  550/1353
   Updating   : 1:foreman-installer-1.20. [############              ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#############             ]  550/1353
   Updating   : 1:foreman-installer-1.20. [##############            ]  550/1353
   Updating   : 1:foreman-installer-1.20. [###############           ]  550/1353
   Updating   : 1:foreman-installer-1.20. [################          ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#################         ]  550/1353
   Updating   : 1:foreman-installer-1.20. [##################        ]  550/1353
   Updating   : 1:foreman-installer-1.20. [###################       ]  550/1353
   Updating   : 1:foreman-installer-1.20. [####################      ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#####################     ]  550/1353
   Updating   : 1:foreman-installer-1.20. [######################    ]  550/1353
   Updating   : 1:foreman-installer-1.20. [#######################   ]  550/1353
   Updating   : 1:foreman-installer-1.20. [########################  ]  550/1353
   Updating   : 1:foreman-installer-1.20. [######################### ]  550/1353
   Updating   : 1:foreman-installer-1.20.0-2.el7sat.noarch              550/1353 
 warning: /etc/foreman-installer/scenarios.d/foreman-answers.yaml created as /etc/foreman-installer/scenarios.d/foreman-answers.yaml.rpmnew
 
   Updating   : katello-installer-base-3. [                          ]  551/1353
   Updating   : katello-installer-base-3. [#                         ]  551/1353

Comment 6 errata-xmlrpc 2019-05-14 12:39:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.